declare @Script nvarchar(max) = ''

SELECT @Script = COALESCE(@Script,'') +' DROP TRIGGER ' + tr.name from sys.triggers tr
	INNER JOIN  sys.objects obj on (tr.parent_id = obj.object_id)
if @@ROWCOUNT > 0
BEGIN				
	EXEC (@Script)
END	

GO 
declare @Script nvarchar(max) = ''
SELECT @Script = COALESCE(@Script,'') +' DROP FUNCTION  ' + name FROM sys.objects WHERE
	type  = 'FN' OR type = 'TF' OR type = 'IF' OR type = 'FS' OR type = 'FT'
if @@ROWCOUNT > 0
BEGIN				
	EXEC (@Script)
END	

GO

if EXISTS (select * from sys.types where schema_id = 1 and name ='LocTypeTable')
BEGIN
	DROP TYPE LocTypeTable
END

GO

IF EXISTS (
        SELECT type_desc, type
        FROM sys.procedures WITH(NOLOCK)
        WHERE NAME = 'create_root_obj'
            AND type = 'P'
      )
     DROP PROCEDURE create_root_obj
	 
GO

IF EXISTS (
        SELECT type_desc, type
        FROM sys.procedures WITH(NOLOCK)
        WHERE NAME = 'create_obj'
            AND type = 'P'
      )
     DROP PROCEDURE create_obj
GO